Assign Ticket
Assigns a ticket to the specified users.
Required Permissions
Requires the MEMBER role or higher.
HTTP Request
POST /api/sonar/tickets/:guid/assign
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
-d type=ASSIGNEE \
-d assignees=fae7fa2b-756e-4d3d-b314-e631daf70c7d \
-X POST \
https://HOSTNAME/api/sonar/tickets/6206eb0e-fb44-4f13-82ca-d92454cfd35e/assign
Request Parameters
| Key | Required | Type | Description | Note |
|---|---|---|---|---|
| guid | O | String | Ticket GUID | 36 characters |
| type | O | String | Assigned role | ASSIGNEE or APPROVER |
| assignees | O | List (of strings) | User GUID list | Comma-separated list |
Success Response
{}
Error Responses
Identifier is not in valid GUID format
HTTP status code 400
{
"error_code": "invalid-param-type",
"error_msg": "guid should be guid type."
}
Ticket is not found
HTTP status code 500
{
"error_code": "illegal-state",
"error_msg": "ticket not found: 201dc306-5ef7-4d4f-b872-1fa0f4d7dc57"
}